STRUCT CCW_DEV_ID(9)

NAME
struct_ccw_dev_id - unique identifier for ccw devices

SYNOPSIS

struct ccw_dev_id {
  u8 ssid;
  u16 devno;
};

MEMBERS

ssid
    subchannel set id

devno
    device number

DESCRIPTION

This structure is not directly based on any hardware structure. The hardware identifies a device by its device number and its subchannel, which is in turn identified by its id. In order to get a unique identifier for ccw devices across subchannel sets, struct ccw_dev_id has been introduced.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT